Crypto.Sign.Ed25519

# A crash course introduction

# Keypair creation

data PublicKey

data SecretKey

createKeypair

createKeypairFromSeed_

createKeypairFromSeed

toPublicKey

# Signing and verifying messages

sign

verify

# Detached signatures

data Signature

dsign

dverify

## Deprecated interface

sign'

verify'

# Security, design and implementation notes

## EdDSA background and properties

### Generation of psuedo-random seeds

## Performance and implementation

## Secure ``SecretKey`` storage

## Prehashing and large input messages